=== debian/changelog ===
libcompface (1:1.5.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089358)

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 12:19:58 +0000

libcompface (1:1.5.2-6) unstable; urgency=high

  [ Ricardo Mones <mones@debian.org> ]
  * Change deprecated define to remove warning
  * Compile with STDC_HEADERS enabled (Closes: #1075160)
  * Patch for building cmain.c with STDC_HEADERS
  * Fix declaration of inc in debian.patch
  * Raised urgency because of RC bug

 -- Hakan Ardo <hakan@debian.org>  Thu, 15 Aug 2024 09:40:30 +0200

libcompface (1:1.5.2-5.2) unstable; urgency=medium

  * Non-maintainer upload
  * Drop semantic.cache, t*.pbm, and t*.xbm
  * Convert to source format 3.0 (closes: #1007560)

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jun 2024 17:38:14 +0200

libcompface (1:1.5.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass triplet-prefixed CC to make (closes: #861345)

  [ gregor herrmann ]
  * Fix "Removal of obsolete debhelper compat 5 and 6 in bookworm":
    Bump to 7 in debian/compat and debian/control{,.common}.
    Remove manual handling of debian/{copyright,changelog} from debian/rules,
    handled by dh_install{docs,changelogs}.
    (Closes: #965632)
  * Fix "missing required debian/rules targets build-arch and/or build-
    indep": Add targets to debian/rules.
    (Closes: #999263)

 -- gregor herrmann <gregoa@debian.org>  Sat, 25 Dec 2021 18:12:05 +0100

libcompface (1:1.5.2-5) unstable; urgency=high

  * Fixed bufferoverflow when reading xbm files (closes: #534973)

 -- Hakan Ardo <hakan@debian.org>  Mon, 29 Jun 2009 18:49:13 +0200

libcompface (1:1.5.2-4) unstable; urgency=low

  * Converted from debmake to debhelper (closes: #372969)
  * Changed $(PWD) to $(CURDIR) to build under sudo (closes: #399390)

 -- Hakan Ardo <hakan@debian.org>  Mon, 20 Nov 2006 21:06:20 +0100

libcompface (1:1.5.2-3) unstable; urgency=low

  * Applied patch from Matej Vela <vela@debian.org> fixing XBM input
    (closes: #349015)
  * Applied patch from Matej Vela <vela@debian.org> fixing include file
    problem (closes: #12302)

 -- Hakan Ardo <hakan@debian.org>  Sat,  4 Feb 2006 16:07:17 +0100

libcompface (1:1.5.2-2) unstable; urgency=low

  * compface now works again (closes: #348326)

 -- Hakan Ardo <hakan@debian.org>  Mon, 16 Jan 2006 21:54:47 +0100

libcompface (1:1.5.2-1) unstable; urgency=low

  * Upgraded to v1.5.2 (closes: #261932)
  * Fixed make up-to-dateness confusion (closes: #261932)
  * Removed /usr/doc symlinks (closes: #322788)
  * Added example on how to generate header from jpeg to README.Debian
    (closes: #199100)
  * Section information included in the control file (closes: #288824)
  * libtool or *-config tools are not used (closes: #340392)

 -- Hakan Ardo <hakan@debian.org>  Tue, 27 Dec 2005 16:53:12 +0100

libcompface (1989.11.11-24) unstable; urgency=low

  * Fixed local link path (closes: #147607)

 -- Hakan Ardo <hakan@debian.org>  Fri,  5 Jul 2002 23:41:21 +0200

libcompface (1989.11.11-23) unstable; urgency=low

  * Spelling errors fixed (Bug #124514, #124920, #124921)

 -- Hakan Ardo <hakan@debian.org>  Sat, 12 Jan 2002 15:00:58 +0100

libcompface (1989.11.11-22) unstable; urgency=low

  * Applied Marcus Brinkmans patch removing arch specific libc5 stuff
    and fixing the errno handling to be more portable ( Bug #106381,
    #104138 )

 -- Hakan Ardo <hakan@debian.org>  Thu, 26 Jul 2001 09:49:53 +0200

libcompface (1989.11.11-21) unstable; urgency=low

  * Fixed bad manpagelink (Bug #102741)

 -- Hakan Ardo <hakan@debian.org>  Sat,  7 Jul 2001 21:48:48 +0200

libcompface (1989.11.11-20) unstable; urgency=low

  * Readded Build-Depends as they dissapeard (Bug #92477 #98374)
  * Rules no longer overwrites LD_LIBRARY_PATH to work with fakeroot
    (Bug #98182)
  * Added uncompface.3 link (Bug #99558)

 -- Hakan Ardo <hakan@debian.org>  Sun, 24 Jun 2001 16:01:18 +0200

libcompface (1989.11.11-19) unstable; urgency=low

  * compface.o now compiled in (Bug #93269)

 -- Hakan Ardo <hakan@debian.org>  Sun, 20 May 2001 13:08:18 +0200

libcompface (1989.11.11-18) unstable; urgency=low

  * Added Build-Depends (Bug#92477)
  * Recompied with stable binutils to fix corrupted libcompface.a
    archive (Bug#92904)
  * Now uses dh_strip instead of strip

 -- Hakan Ardo <hakan@debian.org>  Sat,  7 Apr 2001 15:40:49 +0200

libcompface (1989.11.11-17.5) unstable; urgency=low

  * Updated the copyright file with another clearfication from the
    author
  * ldconfig now only called if configure param given
  * Walked through the standars updates

 -- Hakan Ardo <hakan@debian.org>  Fri,  2 Mar 2001 18:04:30 +0100

libcompface (1989.11.11-17.4) unstable; urgency=low

  * Fixed manual compresiton to work with build-daemons aswell

 -- Hakan Ardo <hakan@debian.org>  Sun, 19 Nov 2000 13:13:51 +0100

libcompface (1989.11.11-17.3) unstable; urgency=low

  * Updated copright regarding modified versions (Bug #72019)
  * compface now depends on libcompfaceg1 (Bug #71954)

 -- Hakan Ardo <hakan@debian.org>  Sun, 29 Oct 2000 15:36:44 +0100

libcompface (1989.11.11-17.2) unstable; urgency=low

  * Manpages now claims xbm images can be handled (Bug #60143)
  * Man pages and docs moved to /usr/share

 -- Hakan Ardo <hakan@debian.org>  Thu, 10 Aug 2000 14:29:52 +0200

libcompface (1989.11.11-17.1) unstable; urgency=low

  * compface now uses shlibs:Depends instead of hardcoded depends (Bug #43029)
  * Incoperated Tor's changes into the main release stream (Bug#30119)

 -- Hakan Ardo <hakan@debian.org>  Mon, 30 Nov 1998 14:33:44 +0100

libcompface (1989.11.11-16.1) unstable; urgency=low

  * Modified 'rules' to support new ports (such as debian-arm),
    without libc5 and 'altdev'.

 -- Tor Slettnes <tor@slett.net>  Sat, 28 Nov 1998 12:59:01 -0800

libcompface (1989.11.11-16) unstable; urgency=low

  * Added some info in README.debian

