=== debian/control ===
Source: libcompface
Section: mail
Priority: optional
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.2.1.0
Build-Depends: debhelper (>=7)

Package: libcompfaceg1-dev
Section: devel
Priority: optional
Architecture: any
Depends: libcompfaceg1, libc6-dev
Conflicts: compface (<= 89.11.11-10)
Description: Compress/decompress images for mailheaders, libc6 devel
 Converts 48x48 .xbm format (X bitmap) files to a compressed format 
 that can be placed in your X-Face: mail header. Some mailreaders, 
 like exmh will then display this image when the user is reading your mail.

Package: libcompfaceg1
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: compface (<= 89.11.11-10)
Description: Compress/decompress images for mailheaders, libc6 runtime
 Converts 48x48 .xbm format (X bitmap) files to a compressed format 
 that can be placed in your X-Face: mail header. Some mailreaders, 
 like exmh will then display this image when the user is reading your mail.

Package: compface
Section: mail
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Description: Compress/decompress images for mailheaders, user tools
 Converts 48x48 .xbm format (X bitmap) files to a compressed format 
 that can be placed in your X-Face: mail header. Some mailreaders, 
 like exmh will then display this image when the user is reading your mail.
